.container {
    padding: 2em;
}

/* Header and business info
------------------------------------*/

.header-grid        {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1em;
}

.header-grid-item   {
    justify-self: center;
    align-self: center;
}


.bizinfo-grid       {
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas:
        "hours facebook cc"
        "hours nextdoor cc"
        ;
    padding: 2em 1em 2em;
}

.bizinfo-cc         {
    font-size: smaller;
    grid-area: cc;
    justify-self: start;
    align-self: start;
}

.bizinfo-hours      {
    font-size: smaller;
    grid-area: hours;
    justify-self: center;
    align-self: start;
}

.bizinfo-facebook   {
    grid-area: facebook;
    justify-self: center;
    align-self: start;
    padding-bottom: 1em;
}

.bizinfo-nextdoor   {
    grid-area: nextdoor;
    justify-self: center;
    align-self:  start;
}


/* Menus
------------------------------------*/

.menu-container  {
    padding-top: 2em;
    padding-bottom: 0.25em;
}

.menu   {
    display: grid;
    gap: 0.25em;
    grid-template-columns: repeat(auto-fit, minmax(min(18rem, 100%), 1fr));
    padding: 0.25em;
}

.menu-header {
/*    border-image-source: url("../images/Admin/christmas-lights.png");
    border-image-slice: 77;
    border-image-width: 1em;
    border-image-outset: 1.5em;
    border-image-repeat: repeat;*/
    padding: 1em;
    border-top: 1px var(--default-menu-border-color);
    border-bottom: 1px var(--default-menu-border-color);
    border-top-style: dotted;
    border-bottom-style: dotted;
    align-self: center;
    justify-self: center;
}

.menu-header-holidays {
    padding: 0.5em;
    border-bottom: 1px var(--default-menu-border-color);
    border-bottom-style: dotted;
    align-self: center;
    justify-self: center;
}

.menu-text {
    font-size: smaller;
    font-style: italic;
    margin-top: 5em;
    margin-bottom: 1em;
    align-self: center;
    justify-self: center;
}

.menu-section {
    margin: 0.75em;
    align-self: center;
    justify-self: center;
}

.menu-item {
    padding: 0.25em;
}

.menu-item-inline {
    display: inline;
    align-self: center;
    justify-self: center;
    padding: 1em;
}

/* Product display 
------------------------------------*/

.product-grid-container {
    max-width: 98%;
    margin-inline: auto;
    padding-inline: 2rem;
}

.product-grid   {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    gap: 1rem;
}

.product-grid-header {
    padding: 0.25em;
    margin: 0em 1em 2em 1em;
    border-top: 0.1em  var(--secondary-border-color);
    border-bottom: 0.1em  var(--secondary-border-color);
    border-top-style: dotted;
    border-bottom-style: dotted;
    color: var(--product-grid-header-color);
    text-align: center;
}

.product-grid-item {
    aspect-ratio: 1 / 1;
}

.product-grid-item-content {
    background: var(--default-item-background-color);
    align-self: end;
    margin: 1em;
    padding: 0.5rem 0.5rem 0.5rem;
    border: 0.1rem solid var(--secondary-border-color);
    border-radius: 0.75rem;
}

.product-grid-item-img {
    width: 100%;
    height: 100%;
    aspect-ratio: 1 / 1;
    object-fit: contain;    
}

.product-grid-item.featured {
    grid-row: span 2;
    grid-column: span 2;
}

.product-grid-item-title {
    color: var(--default-link-color); 
    font-size: 0.9rem;
}

.product-grid-item-number {
    color:  var(--default-font-color);
    font-size: 0.8rem;
}

.product-grid-item-description {
    color: var(--default-font-color);
    font-size: 0.8rem;
    padding-top: 0.5rem;
}

.product-grid-item-stacked {
    display: grid;
}

/*.product-grid-item-stacked > * {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
}*/

/* All Products display 
------------------------------------*/

.all-product-grid-container {
    max-width: 98%;
    margin-inline: auto;
    padding-inline: 2rem;
}

.all-product-grid   {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 1rem;
}

.all-product-grid-header1 {
    padding: 0.25em;
    margin: 1em 0em;
    border-top: 0.1em var(--secondary-border-color);
    border-bottom: 0.1em var(--secondary-border-color);
    border-top-style: dotted;
    border-bottom-style: dotted;
    background-color:  var(--product-grid-header-background);
}

.all-product-grid-header2 {
    padding: 0.25em;
    margin: 1em 0em;
    font-style: italic;
}

.all-product-grid-header1 a {
    color: var(--product-grid-header-a);
}

.all-product-grid-header1 a:hover {
    color: var(--product-grid-header-a-hover);
}

.all-product-grid-item {
    /*border-bottom: 0.1rem solid var(--default-border-color);*/
}

.all-product-grid-item-stacked {
    display: grid;
}

.all-product-grid-item-stacked > * {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
}


/* Holiday display 
------------------------------------*/

.holiday-grid-container {
    max-width: 80%;
    margin-inline: auto;
    padding-inline: 2rem;
    padding: 1em;
}

.holiday-grid   {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    gap: 1rem;
}

.holiday-grid-item {
    aspect-ratio: 1 / 1;
    /*border: 0.1rem solid var(--default-border-color);*/
}

.holiday-grid-item-content {
    background: var(--default-item-background-color);
    align-self: end;
    margin: 1rem;
    padding: 0.5rem 0.5rem 0.5rem;
    /*border: 0.1rem solid var(--default-border-color);*/
    border-radius: 0.75rem;
}

.holiday-grid-item-img {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

.holiday-grid-item-stacked {
    display: grid;
}

.holiday-grid-item-stacked > * {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
}

/* Flavors display
------------------------------------*/

.flavor   {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(10rem, 100%), 3fr));
    gap: 4rem;
    padding: 1em;
}

.flavor-header {
    padding: 0.25em;
    margin: 1em 0em;
    /*border-top: 0.1em var(--secondary-border-color) solid;*/
    /*border-bottom: 0.1em var(--secondary-border-color) solid;*/
    background-color:  var(--default-flavor-background-color);
    color: var(--default-flavor-header-color);
}

.flavor-section {
    margin: 0.25em;
    justify-place: center;
    padding: 1em;
}

.flavor-item {
    padding: 0.25em;
}